Package org.flowable.engine.logging

# Class LogMDC

java.lang.Object
org.flowable.engine.logging.LogMDC

public class LogMDC extends Object
Constants and functions for MDC (Mapped Diagnostic Context) logging

Author:
  Saeid Mirzaei

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LOG_MDC_BUSINESS_KEY`
  `static final String`
  `LOG_MDC_EXECUTION_ID`
  `static final String`
  `LOG_MDC_PROCESSDEFINITION_ID`
  `static final String`
  `LOG_MDC_PROCESSINSTANCE_ID`
  `static final String`
  `LOG_MDC_TASK_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogMDC()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `clear()`
  `static boolean`
  `isMDCEnabled()`
  `static void`
  `putMDCExecution(org.flowable.engine.impl.persistence.entity.ExecutionEntity e)`
  `static void`
  `setMDCEnabled(boolean b)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG_MDC_PROCESSDEFINITION_ID

    public static final String LOG_MDC_PROCESSDEFINITION_ID
    See Also:
      - Constant Field Values

  - ### LOG_MDC_EXECUTION_ID

    public static final String LOG_MDC_EXECUTION_ID
    See Also:
      - Constant Field Values

  - ### LOG_MDC_PROCESSINSTANCE_ID

    public static final String LOG_MDC_PROCESSINSTANCE_ID
    See Also:
      - Constant Field Values

  - ### LOG_MDC_BUSINESS_KEY

    public static final String LOG_MDC_BUSINESS_KEY
    See Also:
      - Constant Field Values

  - ### LOG_MDC_TASK_ID

    public static final String LOG_MDC_TASK_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LogMDC

    public LogMDC()

- ## Method Details

  - ### isMDCEnabled

    public static boolean isMDCEnabled()

  - ### setMDCEnabled

    public static void setMDCEnabled(boolean b)

  - ### putMDCExecution

    public static void putMDCExecution(org.flowable.engine.impl.persistence.entity.ExecutionEntity e)

  - ### clear

    public static void clear()